# QueryURocketMQMessageByKey - QueryURocketMQMessageByKey

## Overview

Query the message list based on Topic and Key






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `QueryURocketMQMessageByKey`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **ServiceId** | string | Service ID |**Yes**|
| **Key** | string | Message Key (Custom Key when sending messages to a Topic) |**Yes**|
| **TopicName** | string | Topic Name |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **MessageList** | array[[*MessageBaseInfo*](#messagebaseinfo)] | message list |**Yes**|

#### Data Model


#### MessageBaseInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Properties** | [*MessageProperties*](#messageproperties) | Message Attribute |No|
| **MsgId** | string | MessageID |No|
| **Topic** | string | Topic Name |No|
| **StoreTimestamp** | int | Save Timestamp |No|

#### MessageProperties

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **TAGS** | string | Tag of Message |**Yes**|
| **KEYS** | string | Key of the Message |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=QueryURocketMQMessageByKey
&Region=cn-zj
&ProjectId=yrOlxXJt
&ServiceId=diLaCmkF
&TopicId=Bqknnywq
&Key=wIafuUhk
```

### Response Example
    
```json
{
  "Action": "QueryURocketMQMessageByKeyResponse",
  "Message": "hytmeMHy",
  "MessageList": [
    {
      "MsgId": "srzxKsNQ",
      "Properties": "tyTRrRcn",
      "StoreTimestamp": 8,
      "Topic": "JqggGOym"
    }
  ],
  "RetCode": 0
}
```





